## org.eclipse.datatools.modelbase.sql.query
Interface TableCorrelation

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject, SQLQueryObject

    public interface TableCorrelation

extends SQLQueryObject

A representation of the model object 'SQL Table Correlation'.

The following features are supported:

- `Table Expr`
- `Column Name List`

See Also:
  `SQLQueryModelPackage.getTableCorrelation()`

Method Summary
`org.eclipse.emf.common.util.EList` `getColumnNameList()` Returns the value of the 'Column Name List' containment reference list.
`TableExpression` `getTableExpr()` Returns the value of the 'Table Expr' container reference.
`void` `setTableExpr(TableExpression value)` Sets the value of the '`Table Expr`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getTableExpr

    TableExpression getTableExpr()

  Returns the value of the 'Table Expr' container reference. It is bidirectional and its opposite is '`Table Correlation`'.

  If the meaning of the 'Table Expr' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Table Expr' container reference.
  See Also:
    `setTableExpr(TableExpression)`, `SQLQueryModelPackage.getTableCorrelation_TableExpr()`, `TableExpression.getTableCorrelation()`

### setTableExpr

    void setTableExpr(TableExpression value)

  Sets the value of the '`Table Expr`' container reference.

  Parameters:
    `value` - the new value of the 'Table Expr' container reference.
  See Also:
    `getTableExpr()`

### getColumnNameList

    org.eclipse.emf.common.util.EList getColumnNameList()

  Returns the value of the 'Column Name List' containment reference list. The list contents are of type `ColumnName`. It is bidirectional and its opposite is '`Table Correlation`'.

  If the meaning of the 'Column Name List' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Column Name List' containment reference list.
  See Also:
    `SQLQueryModelPackage.getTableCorrelation_ColumnNameList()`, `ColumnName.getTableCorrelation()`